# Interface TemplateCache

A cache interface for mapping template urls to their XHR responses.

interface TemplateCache {
clear(): void;
delete(key: string): boolean;
get(key: string): any;
has(key: string): boolean;
set(key: string, value: any): this;
}

##### Index

### Methods

clear
delete
get
has
set

## Methods

### clear

- clear(): void

  #### Returns void

### delete

- delete(key: string): boolean

  #### Parameters

  - key: string

  #### Returns boolean

### get

- get(key: string): any

  #### Parameters

  - key: string

  #### Returns any

### has

- has(key: string): boolean

  #### Parameters

  - key: string

  #### Returns boolean

### set

- set(key: string, value: any): this

  #### Parameters

  - key: string
  - value: any

  #### Returns this